"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const roachConfig = {
    kafka: {
        consumer: {
            noptions: {
                "metadata.broker.list": "localhost:9092",
                "group.id": "roach-example-group",
                "api.version.request": true,
                "socket.keepalive.enable": true,
            },
            tconf: {
                "auto.offset.reset": "earliest",
            },
        },
        batchOptions: {
            batchSize: 500,
            commitEveryNBatch: 1,
            concurrency: 1,
            commitSync: false,
            noBatchCommits: false,
            manualBatching: true,
            sortedManualBatch: true,
        },
    },
    discovery: {
        enabled: true,
        scanMs: 48000,
        topicBlacklist: [],
    },
    mongo: {
        url: "mongodb://localhost:27017/roach_example",
        options: {
            keepAlive: 120,
            autoIndex: true,
            reconnectTries: Number.MAX_VALUE,
            reconnectInterval: 500,
            poolSize: 20,
        },
    },
    http: {
        port: 1912,
        // access: "*" is default
        access: {
            token1: ["topic1", "topic2", "__topic"],
            token2: ["topic3"],
            token3: "*",
        },
    },
    pubSubConfig: {
        projectId: "sample-google-cloud-project-id",
    },
    pubSubToKafkaTopicName: null,
    gcf: {
        metrics: {
            pubSubMetricTopic: null,
            counterLabels: [],
            gaugeLabels: [],
            prefix: "gcf_roach",
        },
    },
};
exports.roachConfig = roachConfig;
