/// <reference types="node" />
import * as EventEmitter from "events";
import { DiscoveryConfig } from "../interfaces";
import { NConsumer } from "sinek";
import { Metrics } from "../Metrics";
export default class Discovery extends EventEmitter {
    private readonly config;
    private readonly metrics;
    private kafkaClient;
    private scanTimeout;
    private lastTopicsHash;
    private discoveredTopics;
    latestMetadata: any;
    isActive: boolean;
    constructor(config: DiscoveryConfig, metrics: Metrics);
    static arrayToFixedHash(array: string[]): number;
    start(kafkaClient: NConsumer | null): Promise<void>;
    private discover;
    private discoverTopics;
    getDiscoveredTopics(): string[];
    getMetadata(): any;
    getMetadataForTopic(topic: string): any;
    getPartitionCountOfTopic(topic: string, defaultCount?: number): any;
    close(): void;
}
//# sourceMappingURL=Discovery.d.ts.map